Package jebl.math

# Class MatrixCalcException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.math.MatrixCalcException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MatrixCalcException.NotSquareMatrixException`, `MatrixCalcException.PositiveDefiniteException`

public class MatrixCalcException extends Exception

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MatrixCalcException.NotSquareMatrixException`
`static class`
`MatrixCalcException.PositiveDefiniteException`

## Constructor Summary

Constructors
Constructor
Description
`MatrixCalcException()`
`MatrixCalcException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MatrixCalcException

public MatrixCalcException()

### MatrixCalcException

public MatrixCalcException(String message)